<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM album_foto WHERE id = ? LIMIT 1", [$id]);
if ($array-> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$title->SetTitle('Фотоальбом - Комментарии к '.$arr['name']);

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Фотоальбом </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/gallery" rel="v:url" property="v:title">Фотоальбом</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">'.$arr['name'].'</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - <a href="/gallery">Список альбомов</a> - '.($arr['cid'] != 0 ? '<a href="viewalb.html?id='.$arr['cid'].'">'.$arr['name'].'</a>':'<a href="personal.html?id='.$arr['user_id'].'">'.$arr['name'].'</a>').'</div>';

$R = $arr['rat'];
echo '<div class="row text_box"> &#187; Название: '.$arr['name'].'<br/>&#187; Описание: '.$arr['text'].'<br/><br/><div class="image"><a href="/'.$arr['path'].'"><img width="380" height="250"  src="/'.$arr['path'].'" alt="not found"/></a></div><br/><br/>&#187; Автор: '.Nick($arr['user_id']).'<br/>&#187; Добавлено: '.vr($arr['time']).'<br/>';
if ($b == true){ echo'&#187; <a href="rating.html?id='.$arr['id'].'">Оценка</a>: '.($R == 0 ? 'Не оценено': $R).''; } echo'</div>';
echo '<div class="catSides"><i class="md-comment"></i> Комментарии</div>';
if (isset($_GET['del'])) {
if ($b['level'] < 3) {
header('location: ?');
die();
}
DB::$dbs->query("DELETE FROM album_comm WHERE id = ?", [abs((int)$_GET['del'])]);
header('location: comm.html?id='.$id);
die();
}
if (isset($_GET['otv'])) {
$t = DB::$dbs->queryFetch("SELECT * FROM blogger WHERE id = ?", [abs((int)$_GET['otv'])]);
if (empty($t['id'])) {
header('location: /');
}
$reply = $t['nick'].', ';
} else {
$reply = '';
}
$otv = isset($_GET['otv']) ? abs((int)$_GET['otv']) : false;
$k_mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM album_comm WHERE fid = ?", [$id]);
$num = 10;
$k_page = k_page($k_mess, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM album_comm WHERE fid = ? ORDER BY time DESC LIMIT $start,$num", [$id]);
if ($sql->rowCount() == 0) {
err('Комментов нет');
} else {
while($a = $sql -> fetch()) {
$D = ($b['level'] > 2 ? '[<a href=comm.html?id='.$id.'&del='.$a['id'].'">Удл</a>] ':NULL);
echo '<div class="row text_box">'.$D.Nick($a['user_id']).' ('.vr($a['time']).') '.(($a['user_id'] != $b['id']) ? ' <a href="comm.html?id='.$id.'&otv='.$a['user_id'].'">[Отв]</a>':NULL).'</br>'.text($a['text']).'</div>';
}
}
if ($k_page>1) {
str('comm.html?id='.$id.'&', $k_page,$page);
}
if ($b == true) {
echo '<div class="catSides"><i class="md-comment"></i> Добавить комментарий</div>';
if (isset($_POST['add'])) {
$text = check($_POST['text']);
if (empty($text)) {
err('Введите текст!');
} elseif (DB::$dbs->querySingle("SELECT COUNT(id) FROM album_comm WHERE text = ? AND fid = ?", [$text,$id]) > 0) {
err('Такой коммент уже есть :)');
} else {
DB::$dbs->query("INSERT INTO album_comm SET text = ?, time = ?, user_id = ?, fid= ?", [$text,time(),$b['id'],$id]);
if (!empty($otv) && $otv != $b['id']) {
$mess = 'Пользователь [b]'.$b['nick'].'[/b] ответил на ваш комментарий к фото [url=http://'.$_SERVER['HTTP_HOST'].'/gallery/comm.html?id='.$id.']'.$arr['name'].'[/url]';
jurnal($otv,$mess,3);
}
if ($arr['user_id'] != $b['id']) {
$mess = 'Пользователь [b]'.$b['nick'].'[/b] оставил комментарий к вашему фото [url=http://'.$_SERVER['HTTP_HOST'].'/gallery/comm.html?id='.$id.']'.$arr['name'].'[/url]';
jurnal($arr['user_id'],$mess,3);
}
header('location: comm.html?id='.$id);
die();
}
}
$o = (!empty($otv) ? '&otv='.$otv : NULL);
echo '<form name="form" method="post" action="comm.html?id='.$id.$o.'"><div class="row text_box">Комментарий:<br/><br/>';
quickpaste('text');
quickpanel();
echo'</br></br><textarea class="form-control" rows="3" name="text">'.$reply.'</textarea> </br><input type="submit" name="add" class="btn btn-primary btn-lg btn-block" value="Добавить"/></div></form>';
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>